Debian Bug report logs - #370349
Make etc/syslog.conf automatically configurable

version graph

Package: inetutils-syslogd; Maintainer for inetutils-syslogd is Guillem Jover <guillem@debian.org>; Source for inetutils-syslogd is src:inetutils.

Reported by: Luk Claes <luk@debian.org>

Date: Sun, 4 Jun 2006 18:34:24 UTC

Severity: grave

Tags: etch, lenny, sarge, sid

Merged with 462739

Fixed in version inetutils/2:1.5.dfsg.1-5

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian inetutils Maintainers <pkg-inetutils-maint@lists.alioth.debian.org>:
Bug#370349; Package inetutils-syslogd. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
New Bug report received and forwarded. Copy sent to Debian inetutils Maintainers <pkg-inetutils-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: submit@bugs.debian.org
Subject: Make etc/syslog.conf automatically configurable
Date: Sun, 04 Jun 2006 20:22:05 +0200
[Message part 1 (text/plain, inline)]
Package: inetutils-syslogd
Severity: wishlist

Hi

Automatically configuring etc/syslog.conf is not policy compliant for
the moment as one needs to edit conffiles in the process.

A solution might be to include some file if it exists in the
configuration...

Cheers

Luk

-- 
Luk Claes - http://people.debian.org/~luk - GPG key 1024D/9B7C328D
Fingerprint:   D5AF 25FB 316B 53BB 08E7   F999 E544 DE07 9B7C 328D


[signature.asc (application/pgp-signature, inline)]
[signature.asc (application/pgp-signature, attachment)]

Blocking bugs added: 370319, 370324, 370332, 370337, 370338, 370339, 370340, 370342, 370343, 370344, 370346, 370347, 370348, 370349, 370350, and 370351 Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs removed: 370319, 370324, 370332, 370337, 370338, 370339, 370340, 370342, 370343, 370344, 370346, 370347, 370348, 370349, 370350, 370351, and 370393 Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 370319, 370324, 370332, 370337, 370338, 370339, 370340, 370342, 370343, 370344, 370346, 370347, 370348, 370349, 370350, 370351, and 370393 Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Holger Levsen <holger@layer-acht.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Luk Claes <luk@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #16 received at 370349-done@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 370349-done@bugs.debian.org
Subject: we dont use inetutils-syslogd
Date: Mon, 28 Jan 2008 00:20:04 +0100
[Message part 1 (text/plain, inline)]
Hi,

as we dont use inetutils-syslogd (anymore?), we don't care about this anymore.


regards,
	Holger (who thinks that this bug might actually have been a bogus duplicate
		of #370399...)
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#370349; Package inetutils-syslogd. Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #21 received at 370349@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Holger Levsen <holger@layer-acht.org>
Cc: 370349@bugs.debian.org
Subject: Re: we dont use inetutils-syslogd
Date: Mon, 28 Jan 2008 05:55:20 +0200
Hi,

On Mon, 2008-01-28 at 00:20:04 +0100, Holger Levsen wrote:
> as we dont use inetutils-syslogd (anymore?), we don't care about this
> anymore.

Who is we? :) And why would the fact that that "we" is not using it
anymore make this bug invalid?

> 	Holger (who thinks that this bug might actually have been a bogus duplicate
> 		of #370399...)

I don't see why, could you explain?

regards,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#370349; Package inetutils-syslogd. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. Full text and rfc822 format available.

Message #26 received at 370349@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Guillem Jover <guillem@debian.org>, 370349@bugs.debian.org, control@bugs.debian.org
Subject: Re: we dont use inetutils-syslogd
Date: Mon, 28 Jan 2008 11:23:38 +0100
[Message part 1 (text/plain, inline)]
reopen 370349
unblock 311188 by 370349
thanks

Hi Guillem,

On Monday 28 January 2008 04:55, Guillem wrote:
> Who is we? :) 

"We" is Debian Edu here :)

> And why would the fact that that "we" is not using it 
> anymore make this bug invalid?

Right. As nobody has replied to this bug before, I was under the impression 
that nobody besides Debian Edu wanted this feature. But if you want to keep 
this open, have it ;-)

> > 	Holger (who thinks that this bug might actually have been a bogus
> > duplicate of #370399...)
> I don't see why, could you explain?

I guess it was also just late and I was a bit confused by the amount of 
syslogs available :-)


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Mon, 28 Jan 2008 10:27:02 GMT) Full text and rfc822 format available.

Blocking bugs of 311188 removed: 370349 Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Mon, 28 Jan 2008 10:27:03 GMT) Full text and rfc822 format available.

Forcibly Merged 370349 462739. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Tue, 19 Feb 2008 03:30:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#370349; Package inetutils-syslogd. Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #37 received at 370349@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Holger Levsen <holger@layer-acht.org>, 370349@bugs.debian.org
Subject: Re: Bug#370349: we dont use inetutils-syslogd
Date: Fri, 14 Mar 2008 04:16:47 +0200
Hi,

On Mon, 2008-01-28 at 11:23:38 +0100, Holger Levsen wrote:
> reopen 370349
> unblock 311188 by 370349
> thanks

(This has been merged with 462739 which was grave, although I'm not
really sure the severity is appropriate).

> On Monday 28 January 2008 04:55, Guillem wrote:
> > Who is we? :) 
> 
> "We" is Debian Edu here :)

Ok. :)

> > And why would the fact that that "we" is not using it 
> > anymore make this bug invalid?
> 
> Right. As nobody has replied to this bug before, I was under the impression 
> that nobody besides Debian Edu wanted this feature. But if you want to keep 
> this open, have it ;-)

I cooked two patches implementing the /etc/syslog.d/ parsing. I might
run them through upstream first, otherwise I'll test them and just
deploy in Debian.

> > > 	Holger (who thinks that this bug might actually have been a bogus
> > > duplicate of #370399...)
> > I don't see why, could you explain?
> 
> I guess it was also just late and I was a bit confused by the amount of 
> syslogs available :-)

No problem!

regards,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#370349; Package inetutils-syslogd. Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #42 received at 370349@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: control@bugs.debian.org
Cc: 370349@bugs.debian.org, 424419@bugs.debian.org, 462739@bugs.debian.org
Subject: setting package to inetutils-tools inetutils-telnet inetutils-syslogd inetutils-talkd inetutils-talk inetutils-ftpd inetutils-telnetd inetutils-ftp inetutils-inetd inetutils-ping inetutils ...
Date: Thu, 03 Apr 2008 08:12:22 +0300
# Automatically generated email from bts, devscripts version 2.10.20
#
# inetutils (2:1.5.dfsg.1-5) UNRELEASED; urgency=low
#
#  * Fix FTBFS if built twice in a row: (Closes: #424419)
#    - Call distclean instead of clean.
#    - Move the unpatch step from the clean dependency to the body, after
#      the distclean call.
#    - Remove all files that autoreconf might have modified.
#  * Add support for syslogd configuration files under /etc/syslog.d/.
#    (Closes: #370349, #462739)
#    - debian/patches/51_add_load_confdir_support.patch: New file
#    - debian/patches/50_split_load_conffile.patch: Likewise.
#

package inetutils-tools inetutils-telnet inetutils-syslogd inetutils-talkd inetutils-talk inetutils-ftpd inetutils-telnetd inetutils-ftp inetutils-inetd inetutils-ping inetutils
tags 370349 + pending
tags 424419 + pending
tags 462739 + pending





Tags added: pending Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Thu, 03 Apr 2008 05:18:05 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Thu, 03 Apr 2008 05:18:08 GMT) Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Luk Claes <luk@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #51 received at 370349-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 370349-close@bugs.debian.org
Subject: Bug#370349: fixed in inetutils 2:1.5.dfsg.1-5
Date: Fri, 11 Apr 2008 05:47:05 +0000
Source: inetutils
Source-Version: 2:1.5.dfsg.1-5

We believe that the bug you reported is fixed in the latest version of
inetutils, which is due to be installed in the Debian FTP archive:

inetutils-ftp_1.5.dfsg.1-5_i386.deb
  to pool/main/i/inetutils/inetutils-ftp_1.5.dfsg.1-5_i386.deb
inetutils-ftpd_1.5.dfsg.1-5_i386.deb
  to pool/main/i/inetutils/inetutils-ftpd_1.5.dfsg.1-5_i386.deb
inetutils-inetd_1.5.dfsg.1-5_i386.deb
  to pool/main/i/inetutils/inetutils-inetd_1.5.dfsg.1-5_i386.deb
inetutils-ping_1.5.dfsg.1-5_i386.deb
  to pool/main/i/inetutils/inetutils-ping_1.5.dfsg.1-5_i386.deb
inetutils-syslogd_1.5.dfsg.1-5_i386.deb
  to pool/main/i/inetutils/inetutils-syslogd_1.5.dfsg.1-5_i386.deb
inetutils-talk_1.5.dfsg.1-5_i386.deb
  to pool/main/i/inetutils/inetutils-talk_1.5.dfsg.1-5_i386.deb
inetutils-talkd_1.5.dfsg.1-5_i386.deb
  to pool/main/i/inetutils/inetutils-talkd_1.5.dfsg.1-5_i386.deb
inetutils-telnet_1.5.dfsg.1-5_i386.deb
  to pool/main/i/inetutils/inetutils-telnet_1.5.dfsg.1-5_i386.deb
inetutils-telnetd_1.5.dfsg.1-5_i386.deb
  to pool/main/i/inetutils/inetutils-telnetd_1.5.dfsg.1-5_i386.deb
inetutils-tools_1.5.dfsg.1-5_i386.deb
  to pool/main/i/inetutils/inetutils-tools_1.5.dfsg.1-5_i386.deb
inetutils_1.5.dfsg.1-5.diff.gz
  to pool/main/i/inetutils/inetutils_1.5.dfsg.1-5.diff.gz
inetutils_1.5.dfsg.1-5.dsc
  to pool/main/i/inetutils/inetutils_1.5.dfsg.1-5.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 370349@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated inetutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 11 Apr 2008 08:20:23 +0300
Source: inetutils
Binary: inetutils-ftp inetutils-ftpd inetutils-inetd inetutils-ping inetutils-syslogd inetutils-talk inetutils-talkd inetutils-telnet inetutils-telnetd inetutils-tools
Architecture: source i386
Version: 2:1.5.dfsg.1-5
Distribution: unstable
Urgency: low
Maintainer: Guillem Jover <guillem@debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 inetutils-ftp - File Transfer Protocol client
 inetutils-ftpd - File Transfer Protocol server
 inetutils-inetd - Internet super server
 inetutils-ping - ICMP ECHO tool
 inetutils-syslogd - System logging daemon
 inetutils-talk - Talk to another user
 inetutils-talkd - Remote user communication server
 inetutils-telnet - Telnet client
 inetutils-telnetd - Telnet server
 inetutils-tools - Base networking utilities (experimental package)
Closes: 370349 418539 423944 424419 435049 462739
Changes: 
 inetutils (2:1.5.dfsg.1-5) unstable; urgency=low
 .
   * Remove Tag fields, those are better maintained outside the package,
     as a side effect there's not typo to fix anymore. (Closes: #418539)
   * Now using Standards-Version 3.7.3 (no changes needed).
   * Call configure with autotools-dev recommended --build and --host options.
   * Add Vcs-Browser and Vcs-Svn fields.
   * Add Homepage field.
   * Fix parallel FTBFS in debian/rules by moving 'patch' dependency from
     the build to a new setup-source target thar serializes configureation.
   * Do not ignore make errors on clean or install in debian/rules.
   * Switch Build-Depends from automake1.9 to automake.
   * Do not install a duplicated syslogd under /etc/default/, just
     inetutils-syslogd. Take care of removing the obsolete conffile if not
     modified, and move it to the new name otherwise. (Closes: #435049)
   * Do not start inetd if there's no services enabled (stolen from
     openbsd-inetd).
   * Complete copyright information in debian/copyright file.
   * Remove packaging svn information from debian/copyright.
   * Fix FTBFS if built twice in a row: (Closes: #424419)
     - Call distclean instead of clean.
     - Move the unpatch step from the clean dependency to the body, after
       the distclean call.
     - Remove all files that autoreconf might have modified.
   * Add dependency on 'inetutils-inetd | inet-superserver' to inetutils-talkd
     and inetutils-telnetd as they use update-inetd.
   * Add support for syslogd configuration files under /etc/syslog.d/.
     (Closes: #370349, #462739)
     - debian/patches/51_add_load_confdir_support.patch: New file
     - debian/patches/50_split_load_conffile.patch: Likewise.
   * Fix a race condition when setting the SIGALRM signal in syslogd parent
     when starting the daemon, causing it to exit with a non-zero status.
     - debian/patches/52_sigalarm.patch: New file.
   * Delay initialization of Shishi until telnet knows Kerberos is needed.
     Reducing the output when creating the directory has been fixed in
     shishi itself. (Closes: #423944)
     - debian/patches/05_shishi_delayed_init.patch: New file.
     Thanks to Simon Josefsson <simon@josefsson.org>.
Files: 
 0af205a697091599b0bffdc0b4638d36 1170 net extra inetutils_1.5.dfsg.1-5.dsc
 cbe56f1f9ce8fefe073bf5de0a2de5d0 29205 net extra inetutils_1.5.dfsg.1-5.diff.gz
 eae432b10203cde39924640fb82a8b71 101114 net extra inetutils-ftp_1.5.dfsg.1-5_i386.deb
 57cc8812e2a1b2d9e90b4d85c1a80a6e 92902 net extra inetutils-ftpd_1.5.dfsg.1-5_i386.deb
 8628987a48485edaeb6f8c58ae44bb04 80614 net extra inetutils-inetd_1.5.dfsg.1-5_i386.deb
 8b70e223cbccdec05e93de1f112dd988 82826 net extra inetutils-ping_1.5.dfsg.1-5_i386.deb
 7bf891752d334cacf7b8abbd2fe0b016 86410 net extra inetutils-syslogd_1.5.dfsg.1-5_i386.deb
 28d568bb6f7a5260bf3dee8ad7dcf1ca 71670 net extra inetutils-talk_1.5.dfsg.1-5_i386.deb
 7db9574c5d50b9755341fa6ae13595b8 73702 net extra inetutils-talkd_1.5.dfsg.1-5_i386.deb
 c515442d8aa41638cb5595d1968c7123 117154 net extra inetutils-telnet_1.5.dfsg.1-5_i386.deb
 78a32af4c99829b95f91f36e84915dd2 102802 net extra inetutils-telnetd_1.5.dfsg.1-5_i386.deb
 50d4ca5107e810d87303d1ee7a025898 74744 net extra inetutils-tools_1.5.dfsg.1-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH/vcnuW9ciZ2SjJsRAn+EAJ9FozQvUyAmZZ2tX2+MO4LdCsLf4wCg4bvB
72riCzfORIEBOwVeUJQYz2I=
=FyWx
-----END PGP SIGNATURE-----





Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to juan <bugs@niluje.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Feb 2009 08:05:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:57:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.